Skip to main content
GET
/
wms
/
warehouses
/
{warehouse_id}
/
locations
/
{location_id}
Get Warehouse Location
curl --request GET \
  --url https://production.trackstarhq.com/wms/warehouses/{warehouse_id}/locations/{location_id} \
  --header 'x-trackstar-access-token: <x-trackstar-access-token>' \
  --header 'x-trackstar-api-key: <x-trackstar-api-key>'
import requests

url = "https://production.trackstarhq.com/wms/warehouses/{warehouse_id}/locations/{location_id}"

headers = {
"x-trackstar-api-key": "<x-trackstar-api-key>",
"x-trackstar-access-token": "<x-trackstar-access-token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {
'x-trackstar-api-key': '<x-trackstar-api-key>',
'x-trackstar-access-token': '<x-trackstar-access-token>'
}
};

fetch('https://production.trackstarhq.com/wms/warehouses/{warehouse_id}/locations/{location_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "location_id",
    "created_date": "2022-01-01T00:00:00Z",
    "updated_date": "2022-01-02T05:05:05Z",
    "name": "Location Name",
    "warehouse_id": "warehouse_id",
    "type": "pallet",
    "measurements": {
      "length": 1.5,
      "width": 1.5,
      "height": 1.5,
      "unit": "in",
      "weight": 2.5,
      "weight_unit": "lb"
    },
    "additional_fields": {
      "key": "value"
    },
    "trackstar_created_date": "2023-11-07T05:31:56Z",
    "trackstar_updated_date": "2023-11-07T05:31:56Z"
  }
}
{
"error": "<string>",
"id": "<string>"
}
{
"error": "<string>",
"detail": {
"<location>": {
"<field_name>": [
"<string>"
]
}
}
}

Headers

x-trackstar-api-key
string
required

Your organization-level Trackstar API key.

Example:

"<x-trackstar-api-key>"

x-trackstar-access-token
string
required

Your user's access token for a specific integration (ShipHero, Extensiv, etc).

Example:

"<x-trackstar-access-token>"

Path Parameters

warehouse_id
string
required
location_id
string
required

Response

Successful response

data
WmsWarehouseLocationApiItemSchema · object